Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 103591 - [Push Down Field] Push Down a referenced field yields compilation error
[Push Down Field] Push Down a referenced field yields compilation error
Status: RESOLVED WONTFIX
Product: java
Classification: Unclassified
Component: Refactoring
6.x
PC Windows XP
: P4 (vote)
: 6.x
Assigned To: issues@java
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 20:50 UTC by kely_garcia
Modified: 2009-11-02 11:16 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kely_garcia 2007-05-09 20:50:26 UTC
Build ID: 200609161800 (Netbeans 6.0 M3)

Steps to reproduce: apply Push Down Field refactoring to A.f on the following 
program:

public class A {
  int f;
}
class B extends A {
  int g = f;
}

PushDownField refactoring produces the uncompilable code below:
public class A {

}
class B extends A {
  int g = f;

    int f;
}

Note: The error message is "illegal forward reference"
Comment 1 Jan Becicka 2007-08-21 10:10:27 UTC
P5 imo. It is rare case and easy fixable by user.
Comment 2 David Strupl 2009-03-31 15:55:58 UTC
Resolving all issues with milestone "future" as LATER. If you feel strongly that
it should be implemented please reopen and set the target milestone to "next".
Comment 3 Quality Engineering 2009-11-02 11:16:53 UTC
NetBeans.org Migration: changing resolution from LATER to WONTFIX


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo